# $Revision: 1.53 $, $Date: 2011/04/06 20:05:03 $
Summary:	GtkGLArea OpenGL widget for GTK+
Name:		gtkglarea
Version:	2.0.1
Release:	3%{?_dist_release}
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtkglarea/2.0/%{name}-%{version}.tar.bz2
# Source0-md5:	19af1b2185555b3bb28eef8bbaa36067
# libGLU for examples only
#BuildRequires:	OpenGL-GLU-devel
BuildRequires:	glut-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk2-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
Obsoletes:	libgtkglarea5
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of
gdkgl which is basically wrapper around GLX functions. The widget
itself is derived from GtkDrawinigArea widget and adds only few extra
functions.

%package devel
Summary:	GtkGLArea OpenGL widget for GTK+ - development libs and headers
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glut-devel
Requires:	gtk2-devel
Obsoletes:	libgtkglarea5-devel

%description devel
Header files for development using the GtkGLArea widget.

%package static
Summary:	GtkGLArea static libraries
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GtkGLArea (OpenGL for GTK+) static libraries.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

# lib doesn't use libGLU
%{__make} -C gtkgl \
	GL_LIBS="-lGL"

# but examples do
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgtkgl-2.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtkgl-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtkgl-2.0.so.1

%files devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README docs/*.txt
%attr(755,root,root) %{_libdir}/libgtkgl-2.0.so
%{_includedir}/gtkgl-2.0
%{_libdir}/pkgconfig/gtkgl-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtkgl-2.0.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* Wed Feb 01 2012 Nobuo Okazaki
Initial build for Vine Linux

* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtkglarea.spec,v $
Revision 1.53  2011/04/06 20:05:03  wiget
- fix removing libtool file
- rel. 3

Revision 1.52  2011/04/06 09:00:58  wiget
- drop libtool file
- rel. 2

Revision 1.51  2010/01/27 11:07:49  megabajt
- updated to 2.0.1

Revision 1.50  2008/11/17 15:46:46  megabajt
- updated to 2.0.0

Revision 1.49  2008/11/16 12:09:55  pawelz
- %%ghost symlink for so library

Revision 1.48  2007/08/26 19:26:15  qboosh
- unified gnome source URL
- clarified License

Revision 1.47  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.46  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.45  2006/11/23 20:02:01  qboosh
- don't link library with libGLU
- Group fixes, release 5

Revision 1.44  2006/09/28 22:45:47  glen
- strict internal deps

Revision 1.43  2004/12/20 12:46:01  zbyniu
- BR: pkgconfig

Revision 1.42  2004/10/25 08:49:33  paladine
- [Gg]tk+ -> GTK+

Revision 1.41  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.40  2004/08/17 11:46:09  ankry
- rel. 4 to rebuild

Revision 1.39  2004/01/02 17:30:48  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.38  2003/12/27 17:04:01  jajcus
- copy config.sub from automake

Revision 1.37  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.36  2003/05/25 05:48:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2002/12/09 07:46:17  aflinta
- moved to /usr
- release 2

Revision 1.34  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.33  2002/11/15 21:51:27  wrobell
- fixed devel subpackage install requirements

Revision 1.32  2002/11/15 13:13:58  wrobell
- ver. 1.99.0

Revision 1.31  2002/07/03 20:20:48  mmazur
- a typo in the m4 file
- STBR and upgrade the devel package on builders

Revision 1.30  2002/05/07 14:26:06  qboosh
- fixed typo in pl summary, added missing -devel pl summary; release 6

Revision 1.29  2002/05/01 21:30:42  kloczek
- release 5.

Revision 1.28  2002/05/01 16:20:41  kloczek
- merge translations from KSI.

Revision 1.27  2002/05/01 13:36:37  kloczek
- release 4,
- added pl Summary and merge translations from Conectiva.

Revision 1.26  2002/04/25 16:31:13  arturs
- fixed a small typo

Revision 1.25  2002/03/25 09:10:10  mis
- fixed file list; rel 4

Revision 1.24  2002/02/22 23:29:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/20 00:09:53  kloczek
- relase 3: libgtkglarea5{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.22  2002/01/18 02:13:13  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/10/20 14:22:03  kloczek
- release 2.

Revision 1.20  2001/10/17 20:40:55  qboosh
- removed rebuilding auto* - not necessary now
- fixed descriptions, added the rest of pl ones

Revision 1.19  2001/10/17 07:53:39  kloczek
- updated to 1.2.3.

Revision 1.18  2001/08/13 17:37:23  kloczek
- added automake to BuildRequires and regenerate am files.

Revision 1.17  2001/08/12 11:07:33  blues
- Release 8
- ac 2.5 ready (added buildrequires)
- adapterized

Revision 1.16  2001/05/29 00:00:28  kloczek
- release 7: do not strip binaries in %install.

Revision 1.15  2001/04/07 10:35:02  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.14  2000/06/09 16:57:12  kloczek
- release 2,
- recompiled against XFree86 4.0 OpenGL libraries,
- spec adapterized.

Revision 1.13  2000/06/09 07:54:42  kloczek
- more %{__make} macros.

Revision 1.12  2000/06/09 07:22:57  kloczek
- added using %{__make} macro.

Revision 1.11  2000/04/20 06:36:22  cieciwa
- fixed Requires: OpenGL-devel.

Revision 1.10  2000/04/19 11:33:19  cieciwa
- changes BuildRequires: from Mesa-devel to OpenGL-devel.

Revision 1.9  2000/04/04 07:30:15  arturs
- added %description -l pl

Revision 1.8  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.6  2000/02/28 07:41:05  kloczek
- updated to 1.2.2.

Revision 1.5  2000/01/16 23:43:59  kloczek
- release 2,
- adapter(ized).

Revision 1.4  1999/12/09 05:12:42  kloczek
- wa translations from MDK.

Revision 1.3  1999/07/20 12:48:07  wiget
- switch to rpm 3.0.2

Revision 1.2  1999/07/13 21:58:36  kloczek
- rewrited for PLD.
